@ECHO OFF
SET XBLDIR=C:\xblite
SET PATH=%XBLDIR%\bin;%PATH%
SET LIB=%XBLDIR%\lib
SET INCLUDE=%XBLDIR%\include

del .\*.obj

REM ****************************************************
REM Remember to add any new asm files below!
REM ****************************************************

REM ****************************************************
REM The Main routines, included in every program
REM ****************************************************

	%XBLDIR%\bin\GoAsm xblib0.asm
	if errorlevel 1 goto error

REM ****************************************************
REM Thread safety routines
REM ****************************************************

REM	%XBLDIR%\bin\GoAsm SleepLock.asm
REM	if errorlevel 1 goto error

REM ****************************************************
REM Memory routines
REM ****************************************************

	%XBLDIR%\bin\GoAsm xblibm.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibm1.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibm2.asm
	if errorlevel 1 goto error

REM ****************************************************
REM Clone and concatenate routines
REM ****************************************************

	%XBLDIR%\bin\GoAsm xblibcc.asm
pause
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibcc1.asm
	if errorlevel 1 goto error

REM ****************************************************
REM Low-level array processing
REM ****************************************************

	%XBLDIR%\bin\GoAsm xbliba.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xbliba1.asm
	if errorlevel 1 goto error

REM ****************************************************
REM Composite String routines
REM ****************************************************

	%XBLDIR%\bin\GoAsm xblibc.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibc1.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibc2.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibc3.asm
	if errorlevel 1 goto error

REM ****************************************************
REM XstStringToNumber ()
REM ****************************************************

	%XBLDIR%\bin\GoAsm xblibn.asm
	if errorlevel 1 goto error

REM ****************************************************
REM PRINT routines
REM ****************************************************

	%XBLDIR%\bin\GoAsm xblibp.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp1.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp2.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp3.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp4.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp5.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp6.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp7.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp8.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp9.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp10.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp11.asm
	if errorlevel 1 goto error

REM 	%XBLDIR%\bin\GoAsm xblibp12.asm
REM 	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibp13.asm
	if errorlevel 1 goto error

REM ****************************************************
REM String routines
REM ****************************************************

	%XBLDIR%\bin\GoAsm xblibs.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibs1.asm
	if errorlevel 1 goto error

	%XBLDIR%\bin\GoAsm xblibs2.asm
	if errorlevel 1 goto error

REM Done

echo Objects sucessfully built.
goto finished
:error
echo Error building objects.
:finished
pause
