; xblite_setup.iss - Setup script for Inno Setup
; Inno Setup is available from http://www.InnoSetup.com

[Setup]
AppName=XBLite
AppVerName=XBLite Release 17
AppVersion=2.41.17
AppCopyright=Copyright  GPL 2000 Max Reason, 2005-2014 David Szafranski, Greg Heller, Guy Lonne.
AppId=xblite
AppPublisher=David Szafranski

LicenseFile=readme.txt
DefaultDirName=C:\xblite\bin

DefaultGroupName=XBLite
UninstallDisplayIcon={app}\xblite.exe
Compression=zip
SolidCompression=yes
OutputDir=.

WizardImageFile=xblite.bmp
WindowVisible=0

OutputBaseFilename=xblite_r17_setup
CreateUninstallRegKey=true
UninstallDisplayName=xblite_r17_uninst
Uninstallable=1

[Files]
;EXE, DLL Files
;Source: C:\xblite\bin\install.exe; DestDir: {app}\bin
Source: C:\xblite\bin\*.*; DestDir: {app}\bin
Source: C:\xblite\programs\*.*; DestDir: {app}\programs

;Xsed's tools
Source: C:\xblite\bin\tools\*.*; DestDir: {app}\bin\tools

;Lib Files
Source: C:\xblite\lib\*.lib; DestDir: {app}\lib

;DEC, M4 Files
Source: C:\xblite\include\*.dec; DestDir: {app}\include
Source: C:\xblite\include\*.m4; DestDir: {app}\include

;BMP, Ico Files
Source: C:\xblite\images\*.*; DestDir: {app}\images

;Xxx Files
Source: C:\xblite\templates\*.*; DestDir: {app}\templates

;Help Files
Source: C:\xblite\manual\xblite_manual.chm; DestDir: {app}\manual
Source: C:\xblite\manual\xsed.chm; DestDir: {app}\manual

[Icons]
Name: {group}\XBLite; Filename: {app}\xblite.exe; WorkingDir: {app}
Name: {group}\Uninstall XBLite; Filename: {uninstallexe}

[Run]
Filename: {app}\bin\install.exe
